Bug 858319 - Non working apache configuration on fedora 18
Non working apache configuration on fedora 18
Product: Fedora
Classification: Fedora
Component: openshift-origin-broker (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Troy Dawson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-18 11:57 EDT by Michael Scherer
Modified: 2013-03-01 16:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-01 16:07:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to describe what to change in httpd.conf for the broker (1.10 KB, patch)
2012-09-18 11:57 EDT, Michael Scherer
no flags Details | Diff

  None (edit)
Description Michael Scherer 2012-09-18 11:57:57 EDT
Created attachment 614051 [details]
patch to describe what to change in httpd.conf for the broker

Since fedora 18 use httpd 2.4, the configuration used by openshift origin do not work. Here is a preliminary patch against the installed httpd.conf file to make it start ( so far, I didn't test rhc yet ), so you do not have to search for too long what to add and what is missing.

I do not know how to proceed to have a clean configuration file that will run on F18 and RHEL6, since there is slight difference in apache version making thing a little bit harder.
Comment 1 Michael Scherer 2012-09-18 12:12:07 EDT
In fact, that's even worst, the broker listen only on http, while rhc does https by default, and only https, hardcoded in some place ( see get_cartridges_list in /usr/share/gems/gems/rhc-0.95.14/lib/rhc-common.rb ).

So if the goal is to have the broker working by default, i would suggest to generate a proper certificate and use it in httpd.conf
Comment 2 Michael Scherer 2012-09-18 12:19:42 EDT
So, after reading the code, I tried with curl :


this didn't work, with the following error :

[Tue Sep 18 17:50:49.988041 2012] [core:crit] [pid 8891] [client] AH00025: configuration error:  couldn't check user: /

to solve that, you need to add :

LoadModule authz_core_module modules/mod_authz_core.so
Comment 3 Troy Dawson 2012-09-24 12:41:09 EDT
I'm looking, and I'm not seeing what the proper Fedora/EPEL way is for adding modules to httpd.conf.
Should be put it in as some type of %post install script, or is it just something that you put into the documentation.

Thoughts, opinions, links?
Comment 4 Michael Scherer 2012-09-24 12:53:14 EDT
I would have placed that in /etc/httpd/conf.d/ , but that's for the httpd.conf used by apache httpd.

If you refer to comment #1, I think the best would be to modify upstream httpd.conf ( the one used for broker ), and generate a dummy cert in %post. I know that we used to have a macro for that in mandriva, not sure if there is one for Fedora.
Comment 5 Troy Dawson 2013-03-01 16:07:29 EST
httpd 2.4 configurations addressed and fixed in 1.4.1 broker.

Note You need to log in before you can comment on or make changes to this bug.